// Copyright (C) 2000
//          by the Massachusetts Institute of Technology
//
//    Export of this software from the United States of America may
//    require a specific license from the United States Government.  It
//    is the responsibility of any person or organization contemplating
//    export to obtain such a license before exporting.
//
// WITHIN THAT CONSTRAINT, permission to use, copy, modify, and
// distribute this software and its documentation for any purpose and
// without fee is hereby granted, provided that the above copyright
// notice appear in all copies and that both that copyright notice and
// this permission notice appear in supporting documentation, and that
// the name of M.I.T. not be used in advertising or publicity pertaining
// to distribution of the software without specific, written prior
// permission.  M.I.T. makes no representations about the suitability of
// this software for any purpose.  It is provided "as is" without express
// or implied warranty.

// SessionPg2.cpp : implementation file
//
#include "stdafx.h"
#include "winssh.h"
#include "SessionPg2.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSessionPg2 property page

IMPLEMENT_DYNCREATE(CSessionPg2, CPropertyPage)

CSessionPg2::CSessionPg2() : CPropertyPage(CSessionPg2::IDD)
{
	//{{AFX_DATA_INIT(CSessionPg2)
	m_SzRows = _T("");
	m_SzCols = _T("");
	//}}AFX_DATA_INIT
}

CSessionPg2::~CSessionPg2()
{
}

void CSessionPg2::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSessionPg2)
	DDX_Control(pDX, IDC_CHECK_SCROLL, m_CButtScrollCheck);
	DDX_Text(pDX, IDC_EDIT_ROWS, m_SzRows);
	DDV_MaxChars(pDX, m_SzRows, 3);
	DDX_Text(pDX, IDC_EDIT_COLS, m_SzCols);
	DDV_MaxChars(pDX, m_SzCols, 3);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSessionPg2, CPropertyPage)
	//{{AFX_MSG_MAP(CSessionPg2)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSessionPg2 message handlers
